P4_DEFINED(3)

NAME
p4_defined - [DEFINED] ( "name" -- flag )

SYNOPSIS

#include <pfe/pfe-base.h>

extern FCodep4_defined(---);

DESCRIPTION

Search the dictionary for _name_. If _name_ is found, return TRUE; otherwise return FALSE. Immediate for use in definitions.

[DEFINED] word ( -- nfa|0 ) immediate does check for the word using find (so it does not throw like ' ) and puts it on stack. As it is immediate it does work in compile-mode too, so it places its argument in the cs-stack then. This is most useful with a directly following [IF] clause, so that sth. like an [IFDEF] word can be simulated through [DEFINED] word [IF]

      : [DEFINED] BL WORD FIND NIP ; IMMEDIATE

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2000 - 2001 Guido U. Draheim <guidod@gmx.de> Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>